%define anolis_release 1

Name:		perl-Want
Version:	0.29
Release:    %{anolis_release}%{dist}

Summary:	Perl module implementing a generalisation of wantarray
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Want
Source0:	https://cpan.metacpan.org/authors/id/R/RO/ROBIN/Want-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	%{__make}

BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(:VERSION) >= 5.6
BuildRequires:	perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:	perl(Carp)
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Tests:
BuildRequires:	perl(blib)
BuildRequires:	perl(Config)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(threads)

%description
This module generalises the mechanism of the wantarray
function, allowing a function to determine in some detail
how its return value is going to be immediately used.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Want-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="${RPM_OPT_FLAGS}" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} "$RPM_BUILD_ROOT"/*

%check
%{__make} test

%generate_compatibility_deps

%files
%dir %{abidir}
%{perl_vendorarch}/Want*
%{abidir}/Want.dump
%{perl_vendorarch}/auto/Want*
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Sat Mar 25 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.29-1
- Init package from upstream
